Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.genericinsurability.core.v1
Class InsurabilityResponseDetailType

    java.lang.Object
      be.fgov.ehealth.genericinsurability.core.v1.InsurabilityResponseDetailType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2018-09-20T05:31:25+02:00",
               comments="JAXB RI v2.2.11")
    public class InsurabilityResponseDetailType

extends Object
implements Serializable

Java class for InsurabilityResponseDetailType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="InsurabilityResponseDetailType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="GeneralSituation" type="{urn:be:fgov:ehealth:genericinsurability:core:v1}GeneralSituationType" minOccurs="0"/>
             <element name="Payment" type="{urn:be:fgov:ehealth:genericinsurability:core:v1}PaymentType"/>
             <element name="Hospitalized" type="{urn:be:fgov:ehealth:genericinsurability:core:v1}HospitalizedType" minOccurs="0"/>
             <element name="MedicalHouse" type="{urn:be:fgov:ehealth:genericinsurability:core:v1}MedicalHouseType" minOccurs="0"/>
             <element name="InsurabilityList" type="{urn:be:fgov:ehealth:genericinsurability:core:v1}InsurabilityListType" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`InsurabilityResponseDetailType()`

Method Summary
`GeneralSituationType` | `getGeneralSituation()` Gets the value of the generalSituation property.
`HospitalizedType` | `getHospitalized()` Gets the value of the hospitalized property.
`InsurabilityListType` | `getInsurabilityList()` Gets the value of the insurabilityList property.
`MedicalHouseType` | `getMedicalHouse()` Gets the value of the medicalHouse property.
`PaymentType` | `getPayment()` Gets the value of the payment property.
`void` | `setGeneralSituation(GeneralSituationType value)` Sets the value of the generalSituation property.
`void` | `setHospitalized(HospitalizedType value)` Sets the value of the hospitalized property.
`void` | `setInsurabilityList(InsurabilityListType value)` Sets the value of the insurabilityList property.
`void` | `setMedicalHouse(MedicalHouseType value)` Sets the value of the medicalHouse property.
`void` | `setPayment(PaymentType value)` Sets the value of the payment property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InsurabilityResponseDetailType

    public InsurabilityResponseDetailType()

Method Detail

### getGeneralSituation

    public GeneralSituationType getGeneralSituation()

  Gets the value of the generalSituation property.

  Returns:
    possible object is `GeneralSituationType`

### setGeneralSituation

    public void setGeneralSituation(GeneralSituationType value)

  Sets the value of the generalSituation property.

  Parameters:
    `value` - allowed object is `GeneralSituationType`

### getPayment

    public PaymentType getPayment()

  Gets the value of the payment property.

  Returns:
    possible object is `PaymentType`

### setPayment

    public void setPayment(PaymentType value)

  Sets the value of the payment property.

  Parameters:
    `value` - allowed object is `PaymentType`

### getHospitalized

    public HospitalizedType getHospitalized()

  Gets the value of the hospitalized property.

  Returns:
    possible object is `HospitalizedType`

### setHospitalized

    public void setHospitalized(HospitalizedType value)

  Sets the value of the hospitalized property.

  Parameters:
    `value` - allowed object is `HospitalizedType`

### getMedicalHouse

    public MedicalHouseType getMedicalHouse()

  Gets the value of the medicalHouse property.

  Returns:
    possible object is `MedicalHouseType`

### setMedicalHouse

    public void setMedicalHouse(MedicalHouseType value)

  Sets the value of the medicalHouse property.

  Parameters:
    `value` - allowed object is `MedicalHouseType`

### getInsurabilityList

    public InsurabilityListType getInsurabilityList()

  Gets the value of the insurabilityList property.

  Returns:
    possible object is `InsurabilityListType`

### setInsurabilityList

    public void setInsurabilityList(InsurabilityListType value)

  Sets the value of the insurabilityList property.

  Parameters:
    `value` - allowed object is `InsurabilityListType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSOCCUPATIONALTHERAPIST 3.16.1 API
Copyright © {inceptionYear}-2018 eHealth. All Rights Reserved.